"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Markdown = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const common_1 = require("../common");
const Markdown = ({ content, options, onLoaded, onLinkClick, }) => {
    let container = null;
    const markdownService = (0, ide_core_browser_1.useInjectable)(common_1.IMarkdownService);
    react_1.default.useEffect(() => {
        if (container) {
            const disposer = new ide_core_browser_1.Disposable();
            const cancellation = new ide_core_browser_1.CancellationTokenSource();
            disposer.addDispose({
                dispose: () => {
                    cancellation.cancel();
                },
            });
            markdownService
                .previewMarkdownInContainer(content, container, cancellation.token, options, undefined, onLinkClick)
                .then((r) => {
                disposer.addDispose(r);
                if (onLoaded) {
                    onLoaded();
                }
            });
            return () => {
                disposer.dispose();
            };
        }
    }, [content]);
    return (react_1.default.createElement("div", { ref: (el) => {
            container = el;
        }, style: { height: '100%' } }));
};
exports.Markdown = Markdown;
//# sourceMappingURL=markdown-widget.js.map